{% extends 'base.html.twig' %}

{% block title %}Register{% endblock %}

{% block body %}
<div class="container">
    <div class="card mt-5 p-3 shadow">
        {% for flashError in app.flashes('verify_email_error') %}
            <div class="alert alert-danger" role="alert">{{ flashError }}</div>
        {% endfor %}

        <h1>S'enregistrer</h1>

        {{ form_start(registrationForm) }}
            {{ form_row(registrationForm.email) }}
            {{ form_row(registrationForm.plainPassword, {
                label: 'Mot de passe'
            }) }}
            {{ form_row(registrationForm.agreeTerms) }}

            <button type="submit" class="btn btn-success">S'enregistrer</button>
        {{ form_end(registrationForm) }}
    </div>
</div>
{% endblock %}
